com.hazelcast.config

## Class ConfigDataSerializerHook

- java.lang.Object
- - com.hazelcast.config.ConfigDataSerializerHook

- All Implemented Interfaces:
    com.hazelcast.internal.serialization.DataSerializerHook

      public final class ConfigDataSerializerHook
      extends Object
      implements com.hazelcast.internal.serialization.DataSerializerHook

  DataSerializerHook for com.hazelcast.config classes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD_DYNAMIC_CONFIG_OP`
    `static int` | `ATOMIC_LONG_CONFIG`
    `static int` | `ATOMIC_REFERENCE_CONFIG`
    `static int` | `AWS_CONFIG`
    `static int` | `AZURE_CONFIG`
    `static int` | `CACHE_PARTITION_LOST_LISTENER_CONFIG`
    `static int` | `CARDINALITY_ESTIMATOR_CONFIG`
    `static int` | `COUNT_DOWN_LATCH_CONFIG`
    `static int` | `DISCOVERY_CONFIG`
    `static int` | `DISCOVERY_STRATEGY_CONFIG`
    `static int` | `DURABLE_EXECUTOR_CONFIG`
    `static int` | `DYNAMIC_CONFIG_PRE_JOIN_OP`
    `static int` | `ENTRY_LISTENER_CONFIG`
    `static int` | `EUREKA_CONFIG`
    `static int` | `EVENT_JOURNAL_CONFIG`
    `static int` | `EXECUTOR_CONFIG`
    `static int` | `F_ID`
    `static int` | `FLAKE_ID_GENERATOR_CONFIG`
    `static int` | `GCP_CONFIG`
    `static int` | `HOT_RESTART_CONFIG`
    `static int` | `ITEM_LISTENER_CONFIG`
    `static int` | `KUBERNETES_CONFIG`
    `static int` | `LFU_EVICTION_POLICY`
    `static int` | `LIST_CONFIG`
    `static int` | `LISTENER_CONFIG`
    `static int` | `LOCK_CONFIG`
    `static int` | `LRU_EVICTION_POLICY`
    `static int` | `MAP_ATTRIBUTE_CONFIG`
    `static int` | `MAP_CONFIG`
    `static int` | `MAP_INDEX_CONFIG`
    `static int` | `MAP_LISTENER_TO_ENTRY_LISTENER_ADAPTER`
    `static int` | `MAP_PARTITION_LOST_LISTENER_CONFIG`
    `static int` | `MAP_STORE_CONFIG`
    `static int` | `MERGE_POLICY_CONFIG`
    `static int` | `MERKLE_TREE_CONFIG`
    `static int` | `MULTIMAP_CONFIG`
    `static int` | `NEAR_CACHE_CONFIG`
    `static int` | `NEAR_CACHE_PRELOADER_CONFIG`
    `static int` | `PARTITION_STRATEGY_CONFIG`
    `static int` | `PN_COUNTER_CONFIG`
    `static int` | `PREDICATE_CONFIG`
    `static int` | `QUERY_CACHE_CONFIG`
    `static int` | `QUEUE_CONFIG`
    `static int` | `QUEUE_STORE_CONFIG`
    `static int` | `QUORUM_CONFIG`
    `static int` | `QUORUM_LISTENER_CONFIG`
    `static int` | `RANDOM_EVICTION_POLICY`
    `static int` | `RELIABLE_TOPIC_CONFIG`
    `static int` | `REPLICATED_MAP_CONFIG`
    `static int` | `RINGBUFFER_CONFIG`
    `static int` | `RINGBUFFER_STORE_CONFIG`
    `static int` | `SCHEDULED_EXECUTOR_CONFIG`
    `static int` | `SEMAPHORE_CONFIG`
    `static int` | `SET_CONFIG`
    `static int` | `SIMPLE_CACHE_CONFIG`
    `static int` | `SIMPLE_CACHE_CONFIG_DURATION_CONFIG`
    `static int` | `SIMPLE_CACHE_CONFIG_EXPIRY_POLICY_FACTORY_CONFIG`
    `static int` | `SIMPLE_CACHE_CONFIG_TIMED_EXPIRY_POLICY_FACTORY_CONFIG`
    `static int` | `SIMPLE_CACHE_ENTRY_LISTENER_CONFIG`
    `static int` | `TOPIC_CONFIG`
    `static int` | `WAN_CONSUMER_CONFIG`
    `static int` | `WAN_PUBLISHER_CONFIG`
    `static int` | `WAN_REPLICATION_CONFIG`
    `static int` | `WAN_SYNC_CONFIG`

    - ### Fields inherited from interface com.hazelcast.internal.serialization.DataSerializerHook

      `F_ID_OFFSET_HIBERNATE, F_ID_OFFSET_WEBMODULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigDataSerializerHook()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSerializableFactory` | `createFactory()`
    `int` | `getFactoryId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### F_ID

          public static final int F_ID

    - #### WAN_REPLICATION_CONFIG

          public static final int WAN_REPLICATION_CONFIG

      See Also:
        Constant Field Values

    - #### WAN_CONSUMER_CONFIG

          public static final int WAN_CONSUMER_CONFIG

      See Also:
        Constant Field Values

    - #### WAN_PUBLISHER_CONFIG

          public static final int WAN_PUBLISHER_CONFIG

      See Also:
        Constant Field Values

    - #### NEAR_CACHE_CONFIG

          public static final int NEAR_CACHE_CONFIG

      See Also:
        Constant Field Values

    - #### NEAR_CACHE_PRELOADER_CONFIG

          public static final int NEAR_CACHE_PRELOADER_CONFIG

      See Also:
        Constant Field Values

    - #### ADD_DYNAMIC_CONFIG_OP

          public static final int ADD_DYNAMIC_CONFIG_OP

      See Also:
        Constant Field Values

    - #### DYNAMIC_CONFIG_PRE_JOIN_OP

          public static final int DYNAMIC_CONFIG_PRE_JOIN_OP

      See Also:
        Constant Field Values

    - #### MULTIMAP_CONFIG

          public static final int MULTIMAP_CONFIG

      See Also:
        Constant Field Values

    - #### LISTENER_CONFIG

          public static final int LISTENER_CONFIG

      See Also:
        Constant Field Values

    - #### ENTRY_LISTENER_CONFIG

          public static final int ENTRY_LISTENER_CONFIG

      See Also:
        Constant Field Values

    - #### MAP_CONFIG

          public static final int MAP_CONFIG

      See Also:
        Constant Field Values

    - #### RANDOM_EVICTION_POLICY

          public static final int RANDOM_EVICTION_POLICY

      See Also:
        Constant Field Values

    - #### LFU_EVICTION_POLICY

          public static final int LFU_EVICTION_POLICY

      See Also:
        Constant Field Values

    - #### LRU_EVICTION_POLICY

          public static final int LRU_EVICTION_POLICY

      See Also:
        Constant Field Values

    - #### MAP_STORE_CONFIG

          public static final int MAP_STORE_CONFIG

      See Also:
        Constant Field Values

    - #### MAP_PARTITION_LOST_LISTENER_CONFIG

          public static final int MAP_PARTITION_LOST_LISTENER_CONFIG

      See Also:
        Constant Field Values

    - #### MAP_INDEX_CONFIG

          public static final int MAP_INDEX_CONFIG

      See Also:
        Constant Field Values

    - #### MAP_ATTRIBUTE_CONFIG

          public static final int MAP_ATTRIBUTE_CONFIG

      See Also:
        Constant Field Values

    - #### QUERY_CACHE_CONFIG

          public static final int QUERY_CACHE_CONFIG

      See Also:
        Constant Field Values

    - #### PREDICATE_CONFIG

          public static final int PREDICATE_CONFIG

      See Also:
        Constant Field Values

    - #### PARTITION_STRATEGY_CONFIG

          public static final int PARTITION_STRATEGY_CONFIG

      See Also:
        Constant Field Values

    - #### HOT_RESTART_CONFIG

          public static final int HOT_RESTART_CONFIG

      See Also:
        Constant Field Values

    - #### TOPIC_CONFIG

          public static final int TOPIC_CONFIG

      See Also:
        Constant Field Values

    - #### RELIABLE_TOPIC_CONFIG

          public static final int RELIABLE_TOPIC_CONFIG

      See Also:
        Constant Field Values

    - #### ITEM_LISTENER_CONFIG

          public static final int ITEM_LISTENER_CONFIG

      See Also:
        Constant Field Values

    - #### QUEUE_STORE_CONFIG

          public static final int QUEUE_STORE_CONFIG

      See Also:
        Constant Field Values

    - #### QUEUE_CONFIG

          public static final int QUEUE_CONFIG

      See Also:
        Constant Field Values

    - #### LOCK_CONFIG

          public static final int LOCK_CONFIG

      See Also:
        Constant Field Values

    - #### LIST_CONFIG

          public static final int LIST_CONFIG

      See Also:
        Constant Field Values

    - #### SET_CONFIG

          public static final int SET_CONFIG

      See Also:
        Constant Field Values

    - #### EXECUTOR_CONFIG

          public static final int EXECUTOR_CONFIG

      See Also:
        Constant Field Values

    - #### DURABLE_EXECUTOR_CONFIG

          public static final int DURABLE_EXECUTOR_CONFIG

      See Also:
        Constant Field Values

    - #### SCHEDULED_EXECUTOR_CONFIG

          public static final int SCHEDULED_EXECUTOR_CONFIG

      See Also:
        Constant Field Values

    - #### SEMAPHORE_CONFIG

          public static final int SEMAPHORE_CONFIG

      See Also:
        Constant Field Values

    - #### REPLICATED_MAP_CONFIG

          public static final int REPLICATED_MAP_CONFIG

      See Also:
        Constant Field Values

    - #### RINGBUFFER_CONFIG

          public static final int RINGBUFFER_CONFIG

      See Also:
        Constant Field Values

    - #### RINGBUFFER_STORE_CONFIG

          public static final int RINGBUFFER_STORE_CONFIG

      See Also:
        Constant Field Values

    - #### CARDINALITY_ESTIMATOR_CONFIG

          public static final int CARDINALITY_ESTIMATOR_CONFIG

      See Also:
        Constant Field Values

    - #### SIMPLE_CACHE_CONFIG

          public static final int SIMPLE_CACHE_CONFIG

      See Also:
        Constant Field Values

    - #### SIMPLE_CACHE_CONFIG_EXPIRY_POLICY_FACTORY_CONFIG

          public static final int SIMPLE_CACHE_CONFIG_EXPIRY_POLICY_FACTORY_CONFIG

      See Also:
        Constant Field Values

    - #### SIMPLE_CACHE_CONFIG_TIMED_EXPIRY_POLICY_FACTORY_CONFIG

          public static final int SIMPLE_CACHE_CONFIG_TIMED_EXPIRY_POLICY_FACTORY_CONFIG

      See Also:
        Constant Field Values

    - #### SIMPLE_CACHE_CONFIG_DURATION_CONFIG

          public static final int SIMPLE_CACHE_CONFIG_DURATION_CONFIG

      See Also:
        Constant Field Values

    - #### QUORUM_CONFIG

          public static final int QUORUM_CONFIG

      See Also:
        Constant Field Values

    - #### MAP_LISTENER_TO_ENTRY_LISTENER_ADAPTER

          public static final int MAP_LISTENER_TO_ENTRY_LISTENER_ADAPTER

      See Also:
        Constant Field Values

    - #### EVENT_JOURNAL_CONFIG

          public static final int EVENT_JOURNAL_CONFIG

      See Also:
        Constant Field Values

    - #### QUORUM_LISTENER_CONFIG

          public static final int QUORUM_LISTENER_CONFIG

      See Also:
        Constant Field Values

    - #### CACHE_PARTITION_LOST_LISTENER_CONFIG

          public static final int CACHE_PARTITION_LOST_LISTENER_CONFIG

      See Also:
        Constant Field Values

    - #### SIMPLE_CACHE_ENTRY_LISTENER_CONFIG

          public static final int SIMPLE_CACHE_ENTRY_LISTENER_CONFIG

      See Also:
        Constant Field Values

    - #### FLAKE_ID_GENERATOR_CONFIG

          public static final int FLAKE_ID_GENERATOR_CONFIG

      See Also:
        Constant Field Values

    - #### ATOMIC_LONG_CONFIG

          public static final int ATOMIC_LONG_CONFIG

      See Also:
        Constant Field Values

    - #### ATOMIC_REFERENCE_CONFIG

          public static final int ATOMIC_REFERENCE_CONFIG

      See Also:
        Constant Field Values

    - #### MERGE_POLICY_CONFIG

          public static final int MERGE_POLICY_CONFIG

      See Also:
        Constant Field Values

    - #### COUNT_DOWN_LATCH_CONFIG

          public static final int COUNT_DOWN_LATCH_CONFIG

      See Also:
        Constant Field Values

    - #### PN_COUNTER_CONFIG

          public static final int PN_COUNTER_CONFIG

      See Also:
        Constant Field Values

    - #### MERKLE_TREE_CONFIG

          public static final int MERKLE_TREE_CONFIG

      See Also:
        Constant Field Values

    - #### WAN_SYNC_CONFIG

          public static final int WAN_SYNC_CONFIG

      See Also:
        Constant Field Values

    - #### KUBERNETES_CONFIG

          public static final int KUBERNETES_CONFIG

      See Also:
        Constant Field Values

    - #### EUREKA_CONFIG

          public static final int EUREKA_CONFIG

      See Also:
        Constant Field Values

    - #### GCP_CONFIG

          public static final int GCP_CONFIG

      See Also:
        Constant Field Values

    - #### AZURE_CONFIG

          public static final int AZURE_CONFIG

      See Also:
        Constant Field Values

    - #### AWS_CONFIG

          public static final int AWS_CONFIG

      See Also:
        Constant Field Values

    - #### DISCOVERY_CONFIG

          public static final int DISCOVERY_CONFIG

      See Also:
        Constant Field Values

    - #### DISCOVERY_STRATEGY_CONFIG

          public static final int DISCOVERY_STRATEGY_CONFIG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigDataSerializerHook

          public ConfigDataSerializerHook()

  - ### Method Detail

    - #### getFactoryId

          public int getFactoryId()

      Specified by:
        `getFactoryId` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

    - #### createFactory

          public DataSerializableFactory createFactory()

      Specified by:
        `createFactory` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

Copyright © 2020. All rights reserved.